Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.im
Class OrdHttpUploadFileSource

`java.lang.Object
oracle.ord.im.OrdHttpUploadFileSource`

All Implemented Interfaces:
  OrdContentSource

public class OrdHttpUploadFileSource
extends java.lang.Object
implements OrdContentSource

An implementation class of `OrdContentSource` that supports using an `OrdHttpUploadFile` object as the content source. JSP or Java Servlet application developers can use it to process the content uploaded by the browser from an HTML FORM FILE INPUT element.

Since:
  JDev5.0
See Also:
  `OrdHttpUploadFile`

Constructor Summary
`OrdHttpUploadFileSource(OrdHttpUploadFile uploadFile)` Constructs a `OrdHttpUploadFileSource` instance.

Method Summary
`int` | `getContentLength()` Returns the length of the content.
`java.io.InputStream` | `getInputStream()` Returns the `InputStream` object.
`java.lang.String` | `getMimeType()` Returns the MIME type information of the content.
`OrdHttpUploadFile` | `getOrdHttpUploadFile()` Returns the `OrdHttpUploadFile` object.
`void` | `release()` Releases all the resources held by an `OrdHttpUploadFile` object.
`void` | `setOrdHttpUploadFile(OrdHttpUploadFile uploadFile)` Sets an `OrdHttpUploadFile` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrdHttpUploadFileSource

    public OrdHttpUploadFileSource(OrdHttpUploadFile uploadFile)

  Constructs a `OrdHttpUploadFileSource` instance.
Parameters:
  `uploadFile` - an `OrdHttpUploadFile` object which contains the content

Method Detail

### setOrdHttpUploadFile

    public void setOrdHttpUploadFile(OrdHttpUploadFile uploadFile)

  Sets an `OrdHttpUploadFile` object.

### getOrdHttpUploadFile

    public OrdHttpUploadFile getOrdHttpUploadFile()

  Returns the `OrdHttpUploadFile` object.

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Returns the `InputStream` object.
  Specified by:
    `getInputStream` in interface `OrdContentSource`
  Throws:
    `java.io.IOException`
  See Also:
    `OrdHttpUploadFile.getInputStream()`

### getContentLength

    public int getContentLength()
                         throws java.io.IOException

  Returns the length of the content.
  Specified by:
    `getContentLength` in interface `OrdContentSource`
  Throws:
    `java.io.IOException`
  See Also:
    `OrdHttpUploadFile.getContentLength()`

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type information of the content.
  Specified by:
    `getMimeType` in interface `OrdContentSource`
  See Also:
    `OrdHttpUploadFile.getMimeType()`

### release

    public void release()

  Releases all the resources held by an `OrdHttpUploadFile` object.
  Specified by:
    `release` in interface `OrdContentSource`
  See Also:
    `OrdHttpUploadFile.release()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001,2005, Oracle. All Rights Reserved.